#include <prg4/prgimg.h>
#include <prg4/filter.h>
#include <stdlib.h>
#include <stdio.h>


void process_file(prgimg* img) {
    for (int y = 0; y < prgimg_get_height(img); y++) {
        for (int x = 0; x < prgimg_get_width(img); x++) {

            long int c = rand();
            
            prgimg_set_red(img, x, y, c>>16 );
            prgimg_set_blue(img, x, y, c>>8);
            prgimg_set_green(img, x, y, c);
            
        }
    }
}

int main(int argc, char **argv) {
    if (argc != 3) {
        printf("Usage: %s <file_in> <file_out>\n", argv[0]);
        return EXIT_SUCCESS;
    }

    prgimg* myImage = prgimg_read_file(argv[1]);
    if (!myImage) {
        return EXIT_FAILURE;
    }
    prgimg* out = NULL;
    prgimg_sharp(myImage,&out);
    //prgimg_invert(out,&out);
    //process_file(out);
    prgimg_write_file(argv[2], out);

    prgimg_free(&myImage);
    prgimg_free(&out);

    return EXIT_SUCCESS;

}
